{% extends 'base.html' %}

{% block contenido %}
<link href="/static/css/nouislider.css" type="text/css" rel="stylesheet" media="screen,projection"/>
<div class="container">
  <br>
  <center>
    <h3>
      Productos
    </h3>
  </center>
  <div class="row">
    <div style="text-align: right;">
        <a href="{% url 'crear_producto' %}" class="waves-effect waves-light btn" type="submit">Añadir producto
            <i class="material-icons">add</i>
        </a>
    </div>
  </div>

  <center>
    <div class="row">
      <form action="{% url 'listar_producto' %}" class="col s12">

          <div class="input-field col s8 m9 l10">
            <i class="material-icons prefix">search</i>
            <input name="busca" id="buscar" type="text" class="validate">
            <label for="buscar">Nombre del producto</label>
          </div>

          <div class="col s2 m2 l2">
            <center>
              <button class="waves-effect waves-light btn-large" type="submit">
                Buscar
              </button>
            </center>
          </div>

      </form>
    </div>
  </center>

  
  <table class="highlight">
    <thead>
      <tr>
          <th>Producto</th>
          <th>Clave</th>
          <th>Código</th>
          <th style="text-align: center;">Imágenes</th>
          <th style="text-align: center;">Editar</th>
          <th style="text-align: center;">Eliminar</th>
      </tr>
    </thead>

    <tbody>
    {% for producto in object_list %}
        <tr>
            <td>{{producto.nombreProducto}}</td>
            <td>{{producto.claveProducto}}</td>
            <td>{{producto.codigoFabricante}}</td>
            <td style="text-align: center;">
              <a href="{% url 'imagen_admin_producto' producto.pk %}" class="waves-effect waves-light btn" type="submit">
                  <i class="material-icons"> collections</i>
              </a>
            </td>
            <td style="text-align: center;">
                <a href="{% url 'editar_producto' producto.pk %}" class="waves-effect waves-light btn" type="submit">
                    <i class="material-icons">edit</i>
                </a>
            </td>
            <td>
                <form method="POST" action="{% url 'eliminar_producto' producto.pk %}">
                    {% csrf_token %}
                    <center>
                        <button type="submit" class="col s12 btn waves-effect waves-light red">
                        <i class="material-icons">delete_forever</i>
                        </button>
                    </center>
                </form>
            </td>
        </tr>
    {% empty %}
        <tr>
            <td>No hay Productos.</td>
        </tr>
    {% endfor %}
    </tbody>
  </table>
  <br>

  <div class="row">

    {% if is_paginated %}
      <center>
        <ul class="pagination">
          {% if page_obj.has_previous %}
          <li class=""><a href="?page={{ page_obj.previous_page_number }}"><i class="material-icons">chevron_left</i></a></li>
          {% else %}
          <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
          {% endif %}

          {% for page in paginator.page_range %}
          <li class="waves-effect {% if page == page_obj.number %}active light-blue darken-1{% endif %}"><a href="?page={{ page }}">{{ page }}</a></li>
          {% endfor %}

          {% if page_obj.has_next %}
          <li class="waves-effect"><a href="?page={{ page_obj.next_page_number }}"><i class="material-icons">chevron_right</i></a></li>
          {% else %}
          <li class="waves-effect disabled"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
          {% endif %}

        </ul>
      </center>
    {% endif %}

  </div>

  <br>
</div>

{% endblock contenido %}
